#ifndef _MAIN___
#define _MAIN___

enum BASIC_NOTES {
	DO = 0,	RE,	MI,	FA,	SOL, LA, SI, _DO };

// delay is done using Delay1KTCYx
#define HALF_NOTE	30	//300 milli
#define FULL_NOTE	60	//600 milli
#define DOUBLE_NOTE	120	//1.2 sec
#define MELODY_END	100	//e sec
#define INNER_DELAY	5	//50 milli

#pragma rom const_music
const rom unsigned char g_pucMelody[] = {
	DO,	MI,	DO,	MI,	SOL, SOL, DO, MI, DO, MI, SOL, SOL,	_DO, SI, LA, SOL, FA, LA, SOL, FA, MI, RE, DO, DO };

const rom unsigned char g_pucNoteLength[] = {
	HALF_NOTE, HALF_NOTE, HALF_NOTE, HALF_NOTE, FULL_NOTE, FULL_NOTE, HALF_NOTE, HALF_NOTE,
	HALF_NOTE, HALF_NOTE, FULL_NOTE, FULL_NOTE,	HALF_NOTE, HALF_NOTE, HALF_NOTE, HALF_NOTE,
	FULL_NOTE, FULL_NOTE, HALF_NOTE, HALF_NOTE, HALF_NOTE, HALF_NOTE, FULL_NOTE, FULL_NOTE };

const rom unsigned char g_pucMelody1[] = {
	MI, MI,	FA,	SOL, SOL, FA, MI, RE, DO, DO, RE, MI, MI, RE, RE, MI, MI, FA, SOL, SOL, FA, MI, RE, DO, DO,
	RE,	MI,	RE,	DO,	DO,	RE,	RE,	MI,	DO,	RE,	MI,	FA,	MI,	DO,	RE,	MI,	FA,	MI,	RE,	DO,	RE,	SOL, MI, MI, FA, SOL,
	SOL, FA, MI, RE, DO, DO, RE, MI, RE, DO, DO };

const rom unsigned char g_pucNoteLength1[] = {
	FULL_NOTE, FULL_NOTE, FULL_NOTE, FULL_NOTE, FULL_NOTE, FULL_NOTE, FULL_NOTE, FULL_NOTE, FULL_NOTE, FULL_NOTE,
	FULL_NOTE, FULL_NOTE, FULL_NOTE, FULL_NOTE, DOUBLE_NOTE, FULL_NOTE, FULL_NOTE, FULL_NOTE, FULL_NOTE, FULL_NOTE,
	FULL_NOTE, FULL_NOTE, FULL_NOTE, FULL_NOTE, FULL_NOTE, FULL_NOTE, FULL_NOTE, FULL_NOTE, FULL_NOTE, DOUBLE_NOTE,
	FULL_NOTE, FULL_NOTE, FULL_NOTE, FULL_NOTE, FULL_NOTE, HALF_NOTE, HALF_NOTE, FULL_NOTE, FULL_NOTE, FULL_NOTE,
	HALF_NOTE, HALF_NOTE, FULL_NOTE, FULL_NOTE, FULL_NOTE, FULL_NOTE, DOUBLE_NOTE, FULL_NOTE, FULL_NOTE, FULL_NOTE,
	FULL_NOTE, FULL_NOTE, FULL_NOTE, FULL_NOTE,	FULL_NOTE, FULL_NOTE, FULL_NOTE, FULL_NOTE, FULL_NOTE, FULL_NOTE,
	FULL_NOTE, DOUBLE_NOTE };

const rom char g_pucPeriod[] = {
	237, 211, 188, 178, 158, 141, 127, 118 };

#endif //_MAIN___
